// rtt_log.h

#ifndef __RTT_LOG_H__
#define __RTT_LOG_H__


typedef enum {
    LOG_DEBUG,
    LOG_INFO,
    LOG_WARNING,
    LOG_ERROR
} LogLevel;


void rtt_log_init(void);

void rtt_log(LogLevel level, const char *format, ...);


#endif // __RTT_LOG_H__
